<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  version="2.0" xmlns:bibtex="http://bibtexml.sf.net/">
  
<xsl:output method="text"/>

<xsl:output method="html" indent="yes" name="html"/>

<xsl:template match="bibtex:file">
<xsl:for-each select="bibtex:entry/bibtex:inproceedings|bibtex:entry/bibtex:article|bibtex:entry/bibtex:inbook|bibtex:entry/bibtex:proceedings">

<xsl:variable name="filename" select="concat('abstracts/',../@id,'.html')" />
<xsl:value-of select="$filename" /> 
<!-- Creating  -->
<xsl:result-document href="{$filename}" format="html">
    <html>
<head>
  <title><xsl:value-of select="../@id"/></title>    
  </head>
    <body>
        <xsl:value-of select="bibtex:author"/><p></p>
        <b> <xsl:choose>
				<xsl:when test="bibtex:chapter">
					<xsl:value-of select="bibtex:chapter" />
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="bibtex:title"/>
				</xsl:otherwise>
				</xsl:choose></b><p></p>
				in 
				<xsl:if test="bibtex:journal">
				  <xsl:value-of select="bibtex:journal" /> 
				</xsl:if>
				<xsl:if test="bibtex:chapter"><xsl:value-of select="bibtex:title" /> </xsl:if>
				<xsl:if test="bibtex:booktitle"><xsl:value-of select="bibtex:booktitle" /> </xsl:if>
				<xsl:if test="bibtex:volume">, vol. <xsl:value-of select="bibtex:volume" /> </xsl:if>						
				<xsl:if test="bibtex:number">,n. <xsl:value-of select="bibtex:number" /> </xsl:if>						
				<xsl:if test="bibtex:year"> (<xsl:value-of select="bibtex:year" />)</xsl:if>						
				<xsl:if test="bibtex:pages">, pages (<xsl:value-of select="bibtex:pages" />)</xsl:if>						
			<xsl:if test="bibtex:abstract">
        <p><b>Abstract</b></p>
			<xsl:value-of select="bibtex:abstract"/>			
        </xsl:if>
        <hr></hr>
        <!--add download manca il controllo che sia effettivament il link pdf -->
        <xsl:if test="bibtex:nstandard">
        [<xsl:element name="a"><xsl:attribute name="href">
								<xsl:value-of select="concat('http://cs.unibg.it/gargantini/research/papers/',bibtex:nstandard)" /></xsl:attribute>Download the paper</xsl:element>]
        </xsl:if>     
       </body></html>
</xsl:result-document>
</xsl:for-each>
</xsl:template>
</xsl:stylesheet>
